import { match } from 'path-to-regexp';
// import { resolveRoute } from 'vike/routing'; // eslint-disable-line import/extensions

const path = '/movies/:scope?/:page?';
const urlMatch = match(path, { decode: decodeURIComponent });

export default (pageContext) => {
	const matched = urlMatch(pageContext.urlPathname);

	if (matched) {
		return {
			routeParams: {
				scope: matched.params.scope || 'latest',
				page: matched.params.page || '1',
				path,
			},
		};
	}

	return false;
};
